You are not logged in.

#1 2012-10-24 18:59:03

t1nk3r3r
Member
From: The Pacific Northwest
Registered: 2011-03-22
Posts: 79

[SOLVED] file conflicts with glibc, glu, libgbm

... glibc-2.16.0-4  glu-9.0.0-1  libgbm-9.0-1 ...
installed: glibc-2.16.0-1

checking for file conflicts...
glibc: /lib exists in filesystem
glibc: /usr/lib/ld-2.16.so exists in filesystem
glibc: /usr/lib/ld-linux-x86-64.so.2 exists in filesystem
glibc: /usr/lib/libBrokenLocale-2.16.so exists in filesystem
glibc: /usr/lib/libBrokenLocale.so.1 exists in filesystem
glibc: /usr/lib/libSegFault.so exists in filesystem
glibc: /usr/lib/libanl-2.16.so exists in filesystem
glibc: /usr/lib/libanl.so.1 exists in filesystem
glibc: /usr/lib/libc-2.16.so exists in filesystem
glibc: /usr/lib/libc.so.6 exists in filesystem
glibc: /usr/lib/libcidn-2.16.so exists in filesystem
glibc: /usr/lib/libcidn.so.1 exists in filesystem
glibc: /usr/lib/libcrypt-2.16.so exists in filesystem
glibc: /usr/lib/libcrypt.so.1 exists in filesystem
glibc: /usr/lib/libdl-2.16.so exists in filesystem
glibc: /usr/lib/libdl.so.2 exists in filesystem
glibc: /usr/lib/libm-2.16.so exists in filesystem
glibc: /usr/lib/libm.so.6 exists in filesystem
glibc: /usr/lib/libmemusage.so exists in filesystem
glibc: /usr/lib/libnsl-2.16.so exists in filesystem
glibc: /usr/lib/libnsl.so.1 exists in filesystem
glibc: /usr/lib/libnss_compat-2.16.so exists in filesystem
glibc: /usr/lib/libnss_compat.so.2 exists in filesystem
glibc: /usr/lib/libnss_db-2.16.so exists in filesystem
glibc: /usr/lib/libnss_db.so.2 exists in filesystem
glibc: /usr/lib/libnss_dns-2.16.so exists in filesystem
glibc: /usr/lib/libnss_dns.so.2 exists in filesystem
glibc: /usr/lib/libnss_files-2.16.so exists in filesystem
glibc: /usr/lib/libnss_files.so.2 exists in filesystem
glibc: /usr/lib/libnss_hesiod-2.16.so exists in filesystem
glibc: /usr/lib/libnss_hesiod.so.2 exists in filesystem
glibc: /usr/lib/libnss_nis-2.16.so exists in filesystem
glibc: /usr/lib/libnss_nis.so.2 exists in filesystem
glibc: /usr/lib/libnss_nisplus-2.16.so exists in filesystem
glibc: /usr/lib/libnss_nisplus.so.2 exists in filesystem
glibc: /usr/lib/libpcprofile.so exists in filesystem
glibc: /usr/lib/libpthread-2.16.so exists in filesystem
glibc: /usr/lib/libpthread.so.0 exists in filesystem
glibc: /usr/lib/libresolv-2.16.so exists in filesystem
glibc: /usr/lib/libresolv.so.2 exists in filesystem
glibc: /usr/lib/librt-2.16.so exists in filesystem
glibc: /usr/lib/librt.so.1 exists in filesystem
glibc: /usr/lib/libthread_db-1.0.so exists in filesystem
glibc: /usr/lib/libthread_db.so.1 exists in filesystem
glibc: /usr/lib/libutil-2.16.so exists in filesystem
glibc: /usr/lib/libutil.so.1 exists in filesystem

libgbm: /usr/include/gbm.h exists in filesystem

glu: /usr/include/GL/glu.h exists in filesystem
glu: /usr/include/GL/glu_mangle.h exists in filesystem
glu: /usr/lib/libGLU.so exists in filesystem
glu: /usr/lib/libGLU.so.1 exists in filesystem
glu: /usr/lib/pkgconfig/glu.pc exists in filesystem

[output condensed to discernably relevant info]

Advice?  I know ld-*.so is required to use pretty much anything...

(Edit: after establishing that only 'glib' owned said files, 'pacman -S --force glibc' succeeded.)

Last edited by t1nk3r3r (2012-10-24 20:16:20)


--------------------------The only wasted day is one in which you learn nothing.--------------------------

Offline

#2 2012-10-24 19:02:40

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: [SOLVED] file conflicts with glibc, glu, libgbm

Please use [ code ] tags for posting snippets of code https://bbs.archlinux.org/help.php#bbcode

like this

Have you tried https://bbs.archlinux.org/viewtopic.php?id=130138 and https://www.archlinux.org/news/the-lib- … a-symlink/ ?

Am I right that you haven't upgraded for over 3 months?


Edit: https://wiki.archlinux.org/index.php/De … iki:usrlib may the best link to start with.

Last edited by karol (2012-10-24 19:16:07)

Offline

#3 2012-10-24 19:49:32

t1nk3r3r
Member
From: The Pacific Northwest
Registered: 2011-03-22
Posts: 79

Re: [SOLVED] file conflicts with glibc, glu, libgbm

Sorry for the lack of formatting. Thank you for the links, the last one is especially helpful.
It has been about 3 months, I use this laptop about as often.
'glu' and 'libgbm' installed after renaming old files.
Still figuring out why 'glibc' is still having issues, '/lib' is already a symlink...

Files in question are owned by 'glibc'. Is it safe to use --force in this case?

Last edited by t1nk3r3r (2012-10-24 20:00:46)


--------------------------The only wasted day is one in which you learn nothing.--------------------------

Offline

#4 2012-10-24 20:27:35

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,073

Re: [SOLVED] file conflicts with glibc, glu, libgbm

have you searched the forums. this was a pretty hot topic 3 months ago and I am sure you will find multiple thread with solutions/instructions.


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

Board footer

Powered by FluxBB